curl --request GET \
--url https://api.natural.com/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "transaction",
"id": "txn_019cd1798d7fbad660f55b2bf67e5434",
"attributes": {
"amount": 50000,
"currency": "USD",
"status": "PROCESSING",
"description": "Wallet top-up",
"createdAt": "2026-01-04T15:30:00.000Z",
"updatedAt": "2026-01-04T15:31:00.000Z",
"transactionType": "transfer",
"direction": "INBOUND",
"expectedAvailableAt": null
},
"relationships": {
"initiatorAgent": {
"data": null
},
"sourceParty": {
"data": null
},
"destinationParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"transfer": {
"data": {
"type": "transfer",
"id": "trf_019cd1798d7b524eed60a8023c379326"
}
}
}
}
],
"meta": {
"pagination": {
"hasMore": false,
"nextCursor": null
}
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "Too big: expected string to have <=80 characters",
"status": "422",
"source": {
"pointer": "/data/attributes/description"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}List transactions
List transactions
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
1024Query Parameters
Filter by transaction type. Chargeback rows need chargebacks.read. Without it, all leaves them out and chargeback returns an empty page.
payment, transfer, refund, chargeback, all Maximum results per page.
1 <= x <= 100Cursor from the previous page.
1024Restrict results to transactions whose payment counterparty is this party.
^pty_[0-9a-f]{32}$Restrict results to transactions visible through this wallet.
^wal_[0-9a-f]{32}$Restrict results to delegated activity performed for this customer, not activity involving it as a payment counterparty.
^pty_[0-9a-f]{32}$When true, return only transactions an agent performed for a connected customer.
Was this page helpful?